IF OBJECT_ID('[DockerImageLayers_Extended]') IS NOT NULL DROP VIEW [DockerImageLayers_Extended]
GO

CREATE VIEW [DockerImageLayers_Extended]
AS
	SELECT DIL.[DockerImage_Id],
	       DI.[DockerRepository_Id],
		   DR.[Repository_Name],
		   DR.[Feed_Id],
		   DIL.[Layer_Sequence],
		   DIL.[DockerBlob_Id],
		   DB.[Blob_Digest],
		   DB.[Blob_Size],
		   DB.[Cached_Indicator],
		   DB.[Download_Count],
		   DB.[LastRequested_Date],
		   DB.[MediaType_Name]
	  FROM [DockerImageLayers] DIL
	       INNER JOIN [DockerImages] DI
		           ON DI.[DockerImage_Id] = DIL.[DockerImage_Id]
		   INNER JOIN [DockerRepositories] DR
		           ON DR.[DockerRepository_Id] = DI.[DockerRepository_Id]
		   INNER JOIN [DockerBlobs] DB
		           ON DB.[DockerBlob_Id] = DIL.[DockerBlob_Id]
GO
