EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'DebianPackages_ListComponents',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'DebianComponents',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Lists components used by packages in a Debian feed.'
GO

IF OBJECT_ID('[DebianPackages_ListComponents]') IS NOT NULL DROP PROCEDURE [DebianPackages_ListComponents]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [DebianPackages_ListComponents]
(
	@Feed_Id INT = NULL
)
AS
BEGIN

SET NOCOUNT ON
SET QUOTED_IDENTIFIER ON

	SELECT DC.*
	  FROM [DebianComponents] DC
	 WHERE DC.[Feed_Id] = @Feed_Id OR @Feed_Id IS NULL

END
GO

GRANT EXECUTE ON [DebianPackages_ListComponents] TO [ProGetUser_Role]
GO
