EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Executions_CreateExecution',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ 'Execution_Id',
    /* Description_Text        */ 'Creates an execution.'
GO

IF OBJECT_ID('[Executions_CreateExecution]') IS NOT NULL DROP PROCEDURE [Executions_CreateExecution]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Executions_CreateExecution]
(
	@Start_Date DATETIME,
	@ExecutionMode_Code CHAR(1),
	@ExecutionRunState_Code CHAR(1) = NULL,
	@ExecutionType_Name VARCHAR(50) = NULL,
	@Execution_Configuration XML = NULL,
	@ScheduledTask_Id INT = NULL,
	@Feed_Id INT = NULL,
	@Connector_Id INT = NULL,
	@Execution_Id INT = NULL OUT
)
AS
BEGIN

SET NOCOUNT ON

	INSERT INTO [Executions]
	(
		[Start_Date],
		[ExecutionStatus_Code],
		[ExecutionRunState_Code],
		[ExecutionMode_Code],
        [ExecutionType_Name],
        [Execution_Configuration],
		[CreatedBy_User_Name],
		[CreatedOn_Date],
		[ScheduledTask_Id],
		[Feed_Id],
		[Connector_Id]
	)
	VALUES
	(
		GETUTCDATE(),
		'S',
		COALESCE(@ExecutionRunState_Code, 'P'),
		@ExecutionMode_Code,
        @ExecutionType_Name,
        @Execution_Configuration,
		dbo.Session_GetUserName(),
		GETUTCDATE(),
		@ScheduledTask_Id,
		@Feed_Id,
		@Connector_Id
	)

	SET @Execution_Id = SCOPE_IDENTITY()

END
GO

GRANT EXECUTE ON [Executions_CreateExecution] TO [ProGetUser_Role]
