EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Executions_SetStatus',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Updates the status of an execution.'
GO

IF OBJECT_ID('[Executions_SetStatus]') IS NOT NULL DROP PROCEDURE [Executions_SetStatus]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Executions_SetStatus]
(
	@Execution_Id INT,
    @ExecutionStatus_Code CHAR(1)
)
AS
BEGIN

    SET NOCOUNT ON

    UPDATE [Executions]
       SET [ExecutionStatus_Code] = @ExecutionStatus_Code
     WHERE [Execution_Id] = @Execution_Id

END
GO

GRANT EXECUTE ON [Executions_SetStatus] TO [ProGetUser_Role]
