EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'PackageDownloads_DeleteFakeDownloads',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ NULL
GO

IF OBJECT_ID('[PackageDownloads_DeleteFakeDownloads]') IS NOT NULL DROP PROCEDURE [PackageDownloads_DeleteFakeDownloads]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [PackageDownloads_DeleteFakeDownloads]
(
    @Feed_Name NVARCHAR(50),
    @Package_Id NVARCHAR(255),
    @Version_Text NVARCHAR(50)
)
AS
BEGIN
	
	SET NOCOUNT ON

	DELETE [PackageDownloads]
     WHERE [Feed_Name] = @Feed_Name
       AND [Package_Id] = @Package_Id
       AND [Version_Text] = @Version_Text
	   AND [IP_Address] LIKE '127.0.0.%'
	   AND [IP_Address]  <> '127.0.0.1'

END
GO

GRANT EXECUTE ON [PackageDownloads_DeleteFakeDownloads] TO [ProGetUser_Role]
GO
