EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Users_GetGroups',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Groups',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a list of user groups in the system'
GO

IF OBJECT_ID('[Users_GetGroups]') IS NOT NULL
	DROP PROCEDURE [Users_GetGroups]
GO

CREATE PROCEDURE [Users_GetGroups]
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [Groups]
	ORDER BY [Group_Name]

END
GO

GRANT EXECUTE ON [Users_GetGroups] TO [ProGetUser_Role]
GO
